#include <fltk/Window.h>

using namespace fltk;

#define VIDEO_WIDTH 640
#define VIDEO_HEIGHT 480

class VideoWindow:public Window
{
private:
  unsigned char *video_buffer;
  Rectangle video_rect;

protected:
  void draw();

public:
  VideoWindow(int,int,const char * = 0);
  void add_frame(unsigned char *left_buffer, unsigned char *right_buffer);
  unsigned char *getBuffer() { return video_buffer; }
};


