#include <stdio.h>
#include <stdlib.h>

#include <fltk/Window.h>
#include <fltk/draw.h>

#include "VideoWindow.h"

VideoWindow::VideoWindow(int width, int height, const char *s)
  :Window(width, height, s)
{
  video_rect.set(0,0,VIDEO_WIDTH,VIDEO_HEIGHT);
  video_buffer=(unsigned char *)malloc(VIDEO_WIDTH*VIDEO_HEIGHT*3);
}

void VideoWindow::add_frame(unsigned char *left_buffer, unsigned char *right_buffer)
{
  int n;
  int i=0;

  for (n=0; n<VIDEO_WIDTH*VIDEO_HEIGHT*3; n=n+3)
  {
    video_buffer[n]=left_buffer[i];
    video_buffer[n+1]=0;
    video_buffer[n+2]=right_buffer[i];
    i+=2;

    //video_buffer[n]=(left_buffer[n+0]+left_buffer[n+1]+left_buffer[n+2])/3;
    //video_buffer[n+1]=0;
    //video_buffer[n+2]=(right_buffer[n+0]+right_buffer[n+1]+right_buffer[n+2])/3;
  }
}

void VideoWindow::draw()
{
  Window::draw();
  drawimage(video_buffer, RGB, video_rect);
}


